# DELETE /api/v1/app/{appId}/env/{envId}

**Delete environment**

## Delete Environment
Removes this Environment from the StackHawk application.

> ⚠️ Danger
> HawkScan scan results are grouped by application & environment. Deleting an environment **also deletes all scan results collected for that environment**.
> StackHawk will delete scan results on demand. This action is permanent and cannot be undone.

> 🧾 Audited
> This is recorded as `ENVIRONMENT_REMOVED` [User Activity](https://apidocs.stackhawk.com/reference/listauditactivity#user-activity-types).

> Requires `delete:application` permission.

## Parameters

- `appId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Application.
- `envId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Environment.

## Responses

### 200 — OK

- (no body)

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
